## ev-link-action

ev-link-action

## Synopsis

                        EvLinkAction;
                        EvLinkActionClass;
                        EvLinkActionPrivate;
    enum                EvLinkActionType;
    EvLinkActionType    ev_link_action_get_action_type      (EvLinkAction *self);
    EvLinkDest *        ev_link_action_get_dest             (EvLinkAction *self);
    const gchar *       ev_link_action_get_uri              (EvLinkAction *self);
    const gchar *       ev_link_action_get_filename         (EvLinkAction *self);
    const gchar *       ev_link_action_get_params           (EvLinkAction *self);
    const gchar *       ev_link_action_get_name             (EvLinkAction *self);
    EvLinkAction *      ev_link_action_new_dest             (EvLinkDest *dest);
    EvLinkAction *      ev_link_action_new_remote           (EvLinkDest *dest,
                                                             const gchar *filename);
    EvLinkAction *      ev_link_action_new_external_uri     (const gchar *uri);
    EvLinkAction *      ev_link_action_new_launch           (const gchar *filename,
                                                             const gchar *params);
    EvLinkAction *      ev_link_action_new_named            (const gchar *name);

## Object Hierarchy

      GObject
       +----EvLinkAction

## Properties

      "dest"                     gpointer              : Read / Write / Construct Only
      "filename"                 gchar*                : Read / Write / Construct Only
      "name"                     gchar*                : Read / Write / Construct Only
      "params"                   gchar*                : Read / Write / Construct Only
      "type"                     EvLinkActionType      : Read / Write / Construct Only
      "uri"                      gchar*                : Read / Write / Construct Only

## Description

## Details

### EvLinkAction

    typedef struct _EvLinkAction EvLinkAction;

### EvLinkActionClass

    typedef struct _EvLinkActionClass EvLinkActionClass;

### EvLinkActionPrivate

    typedef struct _EvLinkActionPrivate EvLinkActionPrivate;

### enum EvLinkActionType

    typedef enum {
    	EV_LINK_ACTION_TYPE_GOTO_DEST,
    	EV_LINK_ACTION_TYPE_GOTO_REMOTE,
    	EV_LINK_ACTION_TYPE_EXTERNAL_URI,
    	EV_LINK_ACTION_TYPE_LAUNCH,
    	EV_LINK_ACTION_TYPE_NAMED
    	/* We'll probably fill this in more as we support the other types of
    	 * actions */
    } EvLinkActionType;

### ev_link_action_get_action_type ()

    EvLinkActionType    ev_link_action_get_action_type      (EvLinkAction *self);

`self` : |
Returns : |

### ev_link_action_get_dest ()

    EvLinkDest *        ev_link_action_get_dest             (EvLinkAction *self);

`self` : |
Returns : |

### ev_link_action_get_uri ()

    const gchar *       ev_link_action_get_uri              (EvLinkAction *self);

`self` : |
Returns : |

### ev_link_action_get_filename ()

    const gchar *       ev_link_action_get_filename         (EvLinkAction *self);

`self` : |
Returns : |

### ev_link_action_get_params ()

    const gchar *       ev_link_action_get_params           (EvLinkAction *self);

`self` : |
Returns : |

### ev_link_action_get_name ()

    const gchar *       ev_link_action_get_name             (EvLinkAction *self);

`self` : |
Returns : |

### ev_link_action_new_dest ()

    EvLinkAction *      ev_link_action_new_dest             (EvLinkDest *dest);

`dest` : |
Returns : |

### ev_link_action_new_remote ()

    EvLinkAction *      ev_link_action_new_remote           (EvLinkDest *dest,
                                                             const gchar *filename);

`dest` : |
`filename` : |
Returns : |

### ev_link_action_new_external_uri ()

    EvLinkAction *      ev_link_action_new_external_uri     (const gchar *uri);

`uri` : |
Returns : |

### ev_link_action_new_launch ()

    EvLinkAction *      ev_link_action_new_launch           (const gchar *filename,
                                                             const gchar *params);

`filename` : |
`params` : |
Returns : |

### ev_link_action_new_named ()

    EvLinkAction *      ev_link_action_new_named            (const gchar *name);

`name` : |
Returns : |

## Property Details

### The `"dest"` property

      "dest"                     gpointer              : Read / Write / Construct Only

The link action destination.

### The `"filename"` property

      "filename"                 gchar*                : Read / Write / Construct Only

The link action filename.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct Only

The link action name.

Default value: NULL

### The `"params"` property

      "params"                   gchar*                : Read / Write / Construct Only

The link action params.

Default value: NULL

### The `"type"` property

      "type"                     EvLinkActionType      : Read / Write / Construct Only

The link action type.

Default value: EV_LINK_ACTION_TYPE_GOTO_DEST

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The link action URI.

Default value: NULL